### Constructor

# Json Builder new_immutable

since: 1.2

#### Declaration [src]

    JsonBuilder*
    json_builder_new_immutable (
      void
    )

#### Description [src]

Creates a new, immutable `JsonBuilder` instance.

It is equivalent to setting the `JsonBuilder:immutable` property set to `TRUE` at construction time.

Available since: 1.2

#### Return value

Type: `JsonBuilder`

The newly create builder instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.